> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get migration



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json get /migration
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /migration:
    get:
      tags:
        - Migration
      operationId: Migration_GetMigrations
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedMigrationsResult'
components:
  schemas:
    SupportedMigrationsResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Migrations:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/MigrationDescription'
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    MigrationDescription:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        Source:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        Mandatory:
          type: boolean
        Version:
          type: string
          nullable: true
        Debug:
          type: boolean
        ParametersJson:
          nullable: true
        DependantMigrations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/MigrationDescriptionLight'
    MigrationDescriptionLight:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Source:
          type: string
          nullable: true

````